Activate Front Row
Your rating: Now say why...

(3) 5

Use Front Row with any Mac without a infrared sensor.   Free
Add to my Watch List
Email me when discounted
Activate Front Row will allow you to use Front Row with any Mac without a infrared sensor. We included an application that will launch Front Row from the Dock. Enhances the trailers by allowing HD in ether 720p or 480p by default it's deactivated and not in HD. If you don't like Leopards Front Row Version 2. It will allow you to have the older 1.3.1.
What's New
Version 0.2:
  • Now it downloads and modifies the updater from apple.com
  • Works on leopard. If you do not like Front Row 2.
Requirements
Intel/PPC, Macs OS X 10.4.5 or later



MacUpdate - Activate Front Row



Activate Front Row User Discussion (Write a Review)
ver. 0.x:
(3)
Your rating: Now say why...
Overall:
(3)

sort: smiles | time
burypromote
-1

-1
Holypoly tipped on 11 Sep 2008
On my system (Leo 10.5.4), it even works smoothly with Front Row 2.1.6 - no need to d/l and install old version.
[Version 0.2]


burypromote
iMac G3 commented on 17 Aug 2008
This application did what it says, but I have a strange issue with it - the writing "Music" "Movies" "Photos" and the playlist information is all mirror writing and so not user friendly (!).
Anyone have any idea why that might happen for me?
This is on an iMac G3 slot loader running 10.4.11.
Thanks for any help. Anyone else have this issue?
[Version 0.2]

2 Replies

burypromote
Crimson commented on 09 Oct 2008
I have exactly the same problem with iMac G3 and Mac OS X 10.4.11. All the texts are mirrored! Is there anyone who could help me with this?
burypromote

+4
mbrice replied on 26 Jul 2009
Mirror writing in Front Row was an issue I found when I tried it on a system without Quartz Extreme support. Whenever I ran it on a pre-Quartz Extreme card (ATI Rage 128 in both Power Mac G4 and iMac G3 for example) the writing was mirrored. When I tried it on a Power Mac G4 with a Quartz Extreme capable card (such as the GeForce2 MX) the writing was normal. I'm guessing Front Row makes use of the GPU in these later Macs to draw the text, something the older iMac G3's and other similar era systems can't handle.
burypromote

+10

rumplestiltskin reviewed on 17 Mar 2008
Wow! Does exactly what it claims to do. I'm running a 1.25GHz G4 mini with Tiger fully updated. Next step is to program my Keyspan remote for Front Row and I've got an ersatz AppleTV (which I already own).

Many thanks to the developer for this extremely useful utility!
[Version 0.2]


burypromote
Mr. Gecko'S Media (developer) commented on 04 Feb 2008
Here is the Read Me
How to Activate Front Row on 10.4.5-10.5.11.
Before you start Activate Front Row run install.
Install will download front row 1.3.1 from apple.com, modify it and than install it.
You have to be patient because I don't have an indicator to tell you that it is working but it is.
Now that you've done that. If you want to be able to run Front Row from the keyboard. Start Activate Front Row and click one Activate Front Row. It will install a kernel extension from http://www.brandon-holland.com/ and a program to Start Front Row from the Dock.
Restart your system and your done.
To Deactivate just click Deactivate and Front Row will not be on your system.
How to Activate Front Row on 10.5 or later.
Start Activate Front Row click on Deactivate Front Row to remove the newer version 2.
Run install.
Install will download front row 1.3.1 from apple.com, modify it and than install it.
You have to be patient because I don't have an indicator to tell you that it is working but it is.
Now that you've done that. If you want to be able to run Front Row from the keyboard. Start Activate Front Row and click one Activate Front Row. It will install a kernel extension from http://www.brandon-holland.com/ and a program to Start Front Row from the Dock.
Restart your system when Front Row starts just stop close it by escape and your done.
To Deactivate just click Deactivate and Front Row will not be on your system.
[Version 0.2]


burypromote

-22
ClarusAD commented on 04 Feb 2008
Hi,
Does it run on an old PPC mac with 10.4.11 ? Thanx
[Version 0.2]

1 Reply

burypromote

+41
strider72 replied on 04 Feb 2008
Runs on my G4 laptop on 10.4.11
burypromote
Roro01 commented on 01 Jan 2008
The only benefit is: "Enhances the trailers by allowing HD in either 720p or 480p". I have an iMac Intel 10.4.11 and it is very easy to access Front Row via the keyboard - Command+Esc to activate, arrows and Return to navigate, Esc to go back, any key to exit. For a full list go to Finder>Help.
[Version 0.1]

3 Replies

burypromote

+45
Hilbo60 replied on 01 Jan 2008
To RORO01; FYI, for owners of machines without Infra Red such as mine, 'Front Row' will not even run! So the method of control of this program is not the issue here. 'The only benefit' is that we are able to use the App.

As already stated, 'Front Row Enabler' used to do the job until 10.4.11 broke it. That is why this little program is so invaluable to so many!
burypromote

+1
simen replied on 15 Aug 2008
Front Row works on my Mac Pro which has no infrared. I have 10.5 though.
burypromote

+45
Hilbo60 replied on 15 Aug 2008
Yes, Front Row does indeed work with leopard installed, I have since upgraded to 10.5 and as such, no longer need this App.
My earlier comments on the usefulness of this little hack are still entirely valid for Tiger users though!
burypromote

+61

Section8 reviewed on 01 Jan 2008
hmmm...

free: check
easy: check
HD video enabler: check
does not suck: check

whats not to love?!
[Version 0.1]


burypromote

+45
Hilbo60 commented on 31 Dec 2007
I have a PowerMac G5 (no IR), have tried 'Media Central' but it won't play DRM video from iTunes Music Store, so resorted to 'Front Row Enabler', which fitted the bill perfectly until 10.4.11, which broke it!.

I'm not ready yet to go with 'Leopard', due to the fact that I have too many apps and hardware that will not work with it, so tried this little hack and have to say, after the first trial, it works, beautifully! I particularly like the simplified installation process, (compared to 'Front Row Enabler). Power to the Gecko!!
[Version 0.1]


burypromote

+130
Doug S. commented on 31 Dec 2007
Technically any Mac with Front Row installed (anyone with Leopard, I think) can access it without a remote by using the key command Command+Esc. Then just navigate via arrows and the enter key, pressing Esc to back out a level.

Though, it is nice to see this in a free app to make things easier for people.
[Version 0.1]

3 Replies

burypromote
Mr. Gecko'S Media (developer) replied on 31 Dec 2007
This program was made because I think http://www.macupdate.com/info.php/id/19947/front-row-enabler is hard so I made it easy and added hd trailers, and a Launcher as a bonus
burypromote

+130
Doug S. replied on 31 Dec 2007
Nice! I have a friend with an old iMac whom this would be perfect for. Like I said, it's something that can be done anyway (technically) but your little app has indeed made it easy. :D
burypromote

+18
Igaucho replied on 31 Dec 2007
Or you can just run Front Row from your Applications folder (in Leopard). :)
There are currently no troubleshooting comments. If you are experiencing a problem with this app, please post a comment.


Rstoffpc rated on 26 Jul 2012

[Version 0.2]


Downloads:26,709
Version Downloads:24,970
Type:Utilities : Desktop
License:Free
Date:03 Feb 2008
Platform:PPC 32 / Intel 32 / OS X
Price:Free0.00
Overall (Version 0.x):
Features:
Ease of Use:
Value:
Stability:
Displaying 1-9 of 9
Displaying 1-1 of 1
-
-
-
Please login or create a new
MacUpdate Member account
to use this feature
Watch Lists are available to
MacUpdate Desktop Members
Upgrade Now
Install with MacUpdate Desktop.
Save time moving files & cleaning
up space wasting archives.
Activate Front Row will allow you to use Front Row with any Mac without a infrared sensor. We included an application that will launch Front Row from the Dock. Enhances the trailers by allowing HD in ether 720p or 480p by default it's deactivated and not in HD. If you don't like Leopards Front Row Version 2. It will allow you to have the older 1.3.1.


- -